Bank Kalteng (Phase 2) - Feature #1326

validasi & autofill form medical
07/04/2022 03:33 PM - Fachrul Hardianto

Status: Closed Start date: 07/04/2022
Priority: Immediate Due date: 07/06/2022
Assignee: Fachrul Hardianto % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description
Dear Pak Yusuf,

Mohon di bantu untuk merubah validasi ketika mengajukan Klaim Medical :

HRIS-DATABASE.M... RENMEDTREATPLAF HRIS-DATABASE... BNMEDTREATCOVER Hris-patasast...pHRENMEDvaLTYPE = x [
StartDate EndDate ValidationType ValidationType... Motes CreateBy CreateDate ChangeBy ChangeDate
19000101 99991231 01 Plafond NULL minovais 20220101000000  minovais 20220101000000

»  |1s000101 99991231 E 02 Limit :] NULL minovais minovais 20220107000000
18000101 99991231 03 Plafon & Limit ~ MULL minovais 20220101000000  minovais 20220101000000
| 19000101 99991231 Esag N/A :] NULL minovais 20220101000000  minovais 20220101000000

s« |[NULL NULL NULL NULL NULL NULL NULL NULL NULL

1. untuk data pada Tabel "PHRBNMEDTREATCOVER" yang memiliki "Validation Type" 99 (N/A) maka engine tidak menghitung
plafond dan Limit . (Takeout Validasi Plafond - Jika Plafond nol (0) tetap bisa submit)

2. untuk data pada Tabel "PHRBNMEDTREATCOVER" yang memiliki "Validation Type" 02 (Limit) maka engine tidak menghitung
plafon, dan hanya menghitung "Limit" =>(Nominal " employee Wagetypebase" * Number).

[ AR NP A TS N RIS Ty Wl e HEI5-DATABASE.... PHRBMMEDVALTYPE HRI5-DATABASE. Mi...dbo PHRTMATTTYP

SELECT  TOP (200) StartDate, EndDate, CompanylD, TreatmentType, CostType, PayType, PayArea, PayClass, PayGrade, MedicalFamily, ValidationType, TransactionLimit, WagetypeBase, Nu
TransactionPeriod, CovCompanylnLimit, CovCompanyQverLimit, Motes, CreateBy, CreateDate, ChangeBy, ChangeDate

FROM PHRBMMEDTREATCOVER

£ >

falidationType TransactionLimit r‘-".faqet',r;:leBase Number-\ TransactionFre... TransactionPer... CovCompanylnLimit CovCompanyOverLimit MNotes €3
4 ] 0 1,00 365 365 90 100

B 0 5,00 365 365 90 100

2 0 5,00 365 365 90 100

B 0 5,00 365 365 90 100

] 0 1,00 365 365 90 100

P 0 5,00 365 365 90 100

P 0 5.00 365 365 90 100

. =

3. Pada Menu My WorkPlace > Request > Benefit Management > Medical, Tab "Payment Sumary"

#A. Jika "Medical Family yang di pilih adalah Karyawaan (0001 ) :

1. Field "Total Amount" => di input manual oleh user

2. field "Covered By Company" => Terisi Otomatis ("CovCompanylInLimit" * "Total Amount" di atas) => field ini dapat di ubah nilai nya
oleh HR Admin

3. field "Covered By Employee" => Terisi Otomatis (Total Amount - Covered By Company)

#B. Jika "Medical Family yang di pilih selain Karyawaan (0002, 0003, 0004) :

1. Field "Total Amount" => di input manual oleh user

2. field "Covered By Company" => Terisi Otomatis ("CovCompanylnLimit" * Total Amount) , max = ( "Limit" ). => field ini dapat di
ubah nilai nya oleh HR Admin

penjelasan : Covered By Company adalah 90% dari amount,

tetapi jika covered By Company lebih besar dari limit ,

maka yang diambil adalah nominal Limit .

3. field "Covered By Employee" => Terisi Otomatis (Total Amount - Covered By Company)
Request No: 24208 Gt Tiete 20220704144218

equester 10 00000184 Change Date: 20220704144218
Faguester Name: SITI LATHIFAH

Subject Reimburs Medical

Dascrigton: Dost lzlan Anslh

e A .
B HR Administration Medical Actian: Rawat Jalan
I Performance Management
I Time Management
. Invoice

Medical © Add | | i Delete
M Travel Management Cost Type Speciality Quantity Unit Amount Currency Total Amount Notes
Forwarding Task 1 : (0000000 1DR 05005000

Inbaz
Outhox

A Payment Summary
Draft

Archive
Tatal Amount: @ 1000000
Delete Request |0

Covered By Company: @ i)
I Master Data
Covered By Employee: 1000000 @

I Human Resource

I Business intelligence

» Plafond Summary
M System Administration

Port : http://103.168.134.28:31130/
Server : 103.168.134.119
DB : MinovaES_BankKalteng_Dev

Semoga dapat dimengerti

Terimakasih

History

#1 - 07/04/2022 04:31 PM - Fachrul Hardianto

- Description updated

#2 - 07/04/2022 04:31 PM - Fachrul Hardianto

- Description updated

#3 - 07/05/2022 09:32 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#4 - 07/05/2022 09:44 AM - Mr. Yusuf

- Assignee changed from Mr. Yusuf to Saswanto Tampan

#5 - 07/06/2022 01:05 PM - Kezia Pawitra Yulianti
- Priority changed from High to Immediate

Dear Mang Wanto,
sesuai diskusi, berikut nama tabel CHRMEDBKTMAXLIMIT yang sudah dibuat untuk kebutuhan BKT terkait dengan limit max yg bisa d reimburse
untuk tiap2 treatment type dan medical family.

Untuk bbrp field yang tadinya di tambahkan di tabel PHRBNMEDTREATCOVER, sementara saat ini masih ada (belum gw delete). Pls sarannya
apakah sebaiknya di delete atau biarkan saja

Thanks
#6 - 07/06/2022 01:22 PM - Kezia Pawitra Yulianti

Oh iya, tambahan informasi ya
untuk field Plafond yg ada di treatment type tetep di baca ya untuk menentukan apakah membaca plafon tidak.

07/04/2025 2/3


http://103.168.134.28:31130/

1. Jika Yes maka membaca tabel plafond PHRBNMEDTREATPLAF

2. Jika No maka membaca tabel coverage PHRBNMEDTREATCOVER untuk menentukan apakah ada batas prosentase yg di gantikan claim nya
3. baru kemudian membaca tabel CHRMEDBKTMAXLIMIT jika memang terisi maka baru ada aturan untuk nilai maksimal yang bisa di claim untuk
tiap treatment type dan medical family nya

Tabel baru ini bisa juga dipakai untuk 2 kondisi yaitu ada plafond ataupun tidak ada plafond ya, jd urutan bacanya sesuai seqyence diatas.

Mohon koreksinya jika ada salah interpretasi yaa.
Tks

#7 - 07/06/2022 08:40 PM - Saswanto Tampan

¢ AGAR COSTTYPE SESUAI DENGAN TREADMENTTYPE NYA
1. update PCMWFDEFBIZPROC BizProcessID = medical COLUMN OnlnitExtensions dan OnMethodExtensions
2. update MinovaXtype.js = /SASWANTO 6JULI2022 BEGIN sampai /SASWANTO 6JULI2022 end
3. update PCMFUNC ===> funcname = fnGetCostType
4. update PCMWFCUSTPARAM ID =CovCompanyInLimit dan GetCostType

¢ AGAR TREADMENTTYPE MENGIKUTI MedicalFamily
1. update PCMWFCUSTPARAM ID = GetTreatType
2. update PCMWFDEFBIZPROC BizProcessID = medical COLUMN OninitExtensions dan OnMethodExtensions

#8 - 07/13/2022 05:02 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Fachrul Hardianto

#9 - 08/02/2022 01:44 PM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed
